use chrono::NaiveDate;
use libretunes_macro::db_type;
use serde::{Deserialize, Serialize};

/// Model for an album
#[db_type(crate::schema::albums)]
#[derive(Serialize, Deserialize, Clone, Debug)]
pub struct Album {
    /// A unique id for the album
    #[omit_new]
    pub id: i32,
    /// The album's title
    pub title: String,
    /// The album's release date
    pub release_date: Option<NaiveDate>,
    /// The path to the album's image file
    pub image_path: Option<String>,
}
