use crate::util::error::*;
use multer::Field;

/// Extract the text from a multipart field
pub async fn extract_field(field: Field<'static>) -> BackendResult<String> {
    field
        .text()
        .await
        .map_err(|e| InputError::FieldReadError(format!("{e}")).into())
}
